Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/ChangeDateTimeColumnToDoubleColumn.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/ChangeDateTimeColumnToDoubleColumn.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/ChangeDateTimeColumnToDoubleColumn.cs	(revision 9614)
@@ -23,11 +23,10 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
+using System.Windows.Forms;
+using HeuristicLab.DataImporter.Command.View;
+using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.DataImporter.Data;
-using HeuristicLab.DataImporter.Command.View;
-using System.Windows.Forms;
 
 namespace HeuristicLab.DataImporter.Command {
@@ -42,6 +41,7 @@
     private IEnumerable<SortOrder> oldSortOrder;
 
-    private ChangeDateTimeColumnToDoubleColumn()
-      : base(null, string.Empty, null) {
+    [StorableConstructor]
+    protected ChangeDateTimeColumnToDoubleColumn(bool deserializing)
+      : base(deserializing) {
       newColumns = new List<ColumnBase>();
       oldColumns = new List<ColumnBase>();
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/DeleteNotEquidistantRowsCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/DeleteNotEquidistantRowsCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/DeleteNotEquidistantRowsCommand.cs	(revision 9614)
@@ -23,11 +23,9 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
 using System.Windows.Forms;
-using System.Xml;
+using HeuristicLab.DataImporter.Command.View;
+using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Data;
-using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -42,6 +40,7 @@
     private IEnumerable<SortOrder> oldSortOrder;
 
-    private DeleteNotEquidistantRowsCommand()
-      : base(null, string.Empty) {
+    [StorableConstructor]
+    protected DeleteNotEquidistantRowsCommand(bool deserializing)
+      : base(deserializing) {
       oldColumns = new List<ColumnBase>();
     }
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/EquidistantSamplingCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/EquidistantSamplingCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/EquidistantSamplingCommand.cs	(revision 9614)
@@ -23,11 +23,9 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
 using System.Windows.Forms;
-using System.Xml;
+using HeuristicLab.DataImporter.Command.View;
+using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Data;
-using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -40,8 +38,6 @@
     private DateTimeColumn columnToSample;
 
-    private EquidistantSamplingCommand()
-      : base(null, string.Empty) {
-    }
-
+    [StorableConstructor]
+    protected EquidistantSamplingCommand(bool deserializing) : base(deserializing) { }
     public EquidistantSamplingCommand(DataSet dataSet, string columnGroupName)
       : base(dataSet, columnGroupName) {
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/EquidistantTimeSeriesCommandBase.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/EquidistantTimeSeriesCommandBase.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/EquidistantTimeSeriesCommandBase.cs	(revision 9614)
@@ -21,19 +21,14 @@
 
 using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
+using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Data;
 
 namespace HeuristicLab.DataImporter.Command {
   [StorableClass]
   public abstract class EquidistantTimeSeriesCommandBase : ColumnGroupCommandBase {
-    private EquidistantTimeSeriesCommandBase()
-      : base(null, string.Empty) {
-    }
-
+    [StorableConstructor]
+    protected EquidistantTimeSeriesCommandBase(bool deserializing) : base(deserializing) { }
     public EquidistantTimeSeriesCommandBase(DataSet dataSet, string columnGroupName)
       : base(dataSet, columnGroupName) {
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/InterpolateMissingValues.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/InterpolateMissingValues.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/InterpolateMissingValues.cs	(revision 9614)
@@ -23,10 +23,8 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
 using System.Windows.Forms;
+using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Data;
-using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -39,8 +37,6 @@
     private DateTimeColumn columnToSample;
 
-    private InterpolateMissingValues()
-      : base(null, string.Empty, null) {
-    }
-
+    [StorableConstructor]
+    protected InterpolateMissingValues(bool deserializing) : base(deserializing) { }
     public InterpolateMissingValues(DataSet dataSet, string columnGroupName, int[] affectedColumns)
       : base(dataSet, columnGroupName, affectedColumns) {
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/SetPartOfDateTimeCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/SetPartOfDateTimeCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/SetPartOfDateTimeCommand.cs	(revision 9614)
@@ -23,11 +23,9 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
 using System.Windows.Forms;
-using System.Xml;
+using HeuristicLab.DataImporter.Command.View;
+using HeuristicLab.DataImporter.Data;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Data;
-using HeuristicLab.DataImporter.Command.View;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -41,8 +39,6 @@
     private IEnumerable<SortOrder> oldSortOrder;
 
-    private SetPartOfDateTimeCommand()
-      : base(null, string.Empty, null) {
-    }
-
+    [StorableConstructor]
+    protected SetPartOfDateTimeCommand(bool deserializing) : base(deserializing) { }
     public SetPartOfDateTimeCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
       : base(dataSet, columnGroupName, affectedColumns) {
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/AddRowCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/AddRowCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/AddRowCommand.cs	(revision 9614)
@@ -23,6 +23,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using System.Xml;
 using System.Windows.Forms;
 using HeuristicLab.DataImporter.Data.CommandBase;
@@ -40,7 +38,6 @@
     private IEnumerable<SortOrder> oldSortOrder;
 
-    private AddRowCommand()
-      : base(null, string.Empty) {
-    }
+    [StorableConstructor]
+    protected AddRowCommand(bool deserializing) : base(deserializing) { }
 
     public AddRowCommand(DataSet dataSet, string columnGroupName, IComparable[] row)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/ChangeValueCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/ChangeValueCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/ChangeValueCommand.cs	(revision 9614)
@@ -23,6 +23,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using System.Xml;
 using System.Windows.Forms;
 using HeuristicLab.DataImporter.Data.CommandBase;
@@ -42,7 +40,6 @@
     private IEnumerable<SortOrder> oldSortOrder;
 
-    private ChangeValueCommand()
-      : base(null, string.Empty, -1) {
-    }
+    [StorableConstructor]
+    protected ChangeValueCommand(bool deserializing) : base(deserializing) { }
 
     public ChangeValueCommand(DataSet dataSet, string columnGroupName, int columnIndex, int position, IComparable newValue)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/ChangeValuesToNullCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/ChangeValuesToNullCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/ChangeValuesToNullCommand.cs	(revision 9614)
@@ -22,8 +22,6 @@
 using System;
 using System.Collections.Generic;
+using System.Drawing;
 using System.Linq;
-using System.Text;
-using System.Drawing;
-using System.Xml;
 using System.Windows.Forms;
 using HeuristicLab.DataImporter.Data.CommandBase;
@@ -40,7 +38,6 @@
     private IEnumerable<SortOrder> oldSortOrder;
 
-    private ChangeValuesToNullCommand()
-      : base(null, string.Empty) {
-    }
+    [StorableConstructor]
+    protected ChangeValuesToNullCommand(bool deserializing) : base(deserializing) { }
 
     public ChangeValuesToNullCommand(DataSet dataSet, string columnGroupName, IEnumerable<Point> cellIndexes)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/DeleteColumnCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/DeleteColumnCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/DeleteColumnCommand.cs	(revision 9614)
@@ -33,6 +33,7 @@
     private List<int> oldSortedColumnIndices;
 
-    private DeleteColumnCommand()
-      : base(null, string.Empty, null) {
+    [StorableConstructor]
+    protected DeleteColumnCommand(bool deserializing)
+      : base(deserializing) {
       deletedColumns = new List<ColumnBase>();
     }
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/DeleteRowsCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/DeleteRowsCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/DeleteRowsCommand.cs	(revision 9614)
@@ -23,6 +23,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using System.Xml;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
@@ -37,8 +35,6 @@
     private List<IComparable[]> oldrows;
 
-    private DeleteRowsCommand()
-      : base(null, string.Empty) {
-      this.oldrows = new List<IComparable[]>();
-    }
+    [StorableConstructor]
+    protected DeleteRowsCommand(bool deserializing) : base(deserializing) { }
 
     public DeleteRowsCommand(DataSet dataSet, string columnGroupName, IEnumerable<int> rowIndexes)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/InsertRowCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/InsertRowCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/InsertRowCommand.cs	(revision 9614)
@@ -20,9 +20,6 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using System.Xml;
 using System.Windows.Forms;
 using HeuristicLab.DataImporter.Data.CommandBase;
@@ -39,7 +36,6 @@
     private IEnumerable<SortOrder> oldSortOrder;
 
-    private InsertRowCommand()
-      : base(null, string.Empty) {
-    }
+    [StorableConstructor]
+    protected InsertRowCommand(bool deserializing) : base(deserializing) { }
 
     public InsertRowCommand(DataSet dataSet, string columnGroupName, int position)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/PasteValuesCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/PasteValuesCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/PasteValuesCommand.cs	(revision 9614)
@@ -23,7 +23,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using System.Globalization;
-using System.Xml;
 using System.Windows.Forms;
 using HeuristicLab.DataImporter.Data.CommandBase;
@@ -46,7 +43,6 @@
     private IEnumerable<SortOrder> oldSortOrder;
 
-    private PasteValuesCommand()
-      : base(null, string.Empty) {
-    }
+    [StorableConstructor]
+    protected PasteValuesCommand(bool deserializing) : base(deserializing) { }
 
     public PasteValuesCommand(DataSet dataSet, string columnGroupName, int columnIndex, int rowIndex, string values)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/RenameColumnCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/RenameColumnCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/RenameColumnCommand.cs	(revision 9614)
@@ -20,11 +20,6 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Xml;
+using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -37,7 +32,6 @@
     private string oldName;
 
-    private RenameColumnCommand()
-      : base(null, string.Empty, -1) {
-    }
+    [StorableConstructor]
+    protected RenameColumnCommand(bool deserializing) : base(deserializing) { }
 
     public RenameColumnCommand(DataSet dataSet, string columnGroupName, int columnIndex, string newName)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/RenameColumnGroupCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/RenameColumnGroupCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/RenameColumnGroupCommand.cs	(revision 9614)
@@ -20,11 +20,7 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using System.Xml;
+using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -37,7 +33,6 @@
     private string oldName;
 
-    private RenameColumnGroupCommand()
-      : base(null, string.Empty) {
-    }
+    [StorableConstructor]
+    protected RenameColumnGroupCommand(bool deserializing) : base(deserializing) { }
 
     public RenameColumnGroupCommand(DataSet dataSet, string columnGroupName, string newName)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/SortCommand.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/SortCommand.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/SortCommand.cs	(revision 9614)
@@ -23,7 +23,5 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
 using System.Windows.Forms;
-using System.Xml;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
@@ -41,7 +39,6 @@
     private int[] indices;
 
-    private SortCommand()
-      : base(null, string.Empty) {
-    }
+    [StorableConstructor]
+    protected SortCommand(bool deserializing) : base(deserializing) { }
 
     public SortCommand(DataSet dataSet, string columnGroupName, int sortColumnIndex) :
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/ColumnCommandBase.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/ColumnCommandBase.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/ColumnCommandBase.cs	(revision 9614)
@@ -34,7 +34,6 @@
     private int columnIndex;
 
-    private ColumnCommandBase()
-      : base(null, string.Empty) {
-    }
+    [StorableConstructor]
+    protected ColumnCommandBase(bool deserializing) : base(deserializing) { }
 
     protected ColumnCommandBase(DataSet dataSet, string columnGroupName, int columnIndex)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/ColumnGroupCommandBase.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/ColumnGroupCommandBase.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/ColumnGroupCommandBase.cs	(revision 9614)
@@ -27,7 +27,6 @@
   [StorableClass]
   public abstract class ColumnGroupCommandBase : DataSetCommandBase {
-    private ColumnGroupCommandBase()
-      : base(null) {
-    }
+    [StorableConstructor]
+    protected ColumnGroupCommandBase(bool deserializing) : base(deserializing) { }
 
     protected ColumnGroupCommandBase(DataSet dataSet, string columnGroupName)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/ColumnGroupCommandWithAffectedColumnsBase.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/ColumnGroupCommandWithAffectedColumnsBase.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/ColumnGroupCommandWithAffectedColumnsBase.cs	(revision 9614)
@@ -20,9 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Xml;
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
@@ -31,7 +26,6 @@
   [StorableClass]
   public abstract class ColumnGroupCommandWithAffectedColumnsBase : ColumnGroupCommandBase {
-    private ColumnGroupCommandWithAffectedColumnsBase()
-      : base(null,string.Empty) {
-    }
+    [StorableConstructor]
+    protected ColumnGroupCommandWithAffectedColumnsBase(bool deserializing) : base(deserializing) { }
 
     protected ColumnGroupCommandWithAffectedColumnsBase(DataSet dataSet, string columnGroupName, int[] affectedColumns)
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/CommandBase.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/CommandBase.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/CommandBase.cs	(revision 9614)
@@ -20,8 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -29,4 +25,6 @@
   [StorableClass]
   public abstract class CommandBase : ICommand {
+    [StorableConstructor]
+    protected CommandBase(bool deserializing) : base() { }
     protected CommandBase() { }
 
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/DataSetCommandBase.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/DataSetCommandBase.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/DataSetCommandBase.cs	(revision 9614)
@@ -20,8 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
@@ -30,6 +26,6 @@
   [StorableClass]
   public abstract class DataSetCommandBase : CommandBase {
-    private DataSetCommandBase() {
-    }
+    [StorableConstructor]
+    protected DataSetCommandBase(bool deserializing) : base(deserializing) { }
 
     protected DataSetCommandBase(DataSet dataSet) {
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/DataSetCommandWithAffectedColumnGroupsBase.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/DataSetCommandWithAffectedColumnGroupsBase.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/DataSetCommandWithAffectedColumnGroupsBase.cs	(revision 9614)
@@ -20,9 +20,5 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Xml;
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
@@ -31,8 +27,6 @@
   [StorableClass]
   public abstract class DataSetCommandWithAffectedColumnGroupsBase : DataSetCommandBase {
-    private DataSetCommandWithAffectedColumnGroupsBase()
-      : base(null) {
-    }
-
+    [StorableConstructor]
+    protected DataSetCommandWithAffectedColumnGroupsBase(bool deserializing) : base(deserializing) { }
     protected DataSetCommandWithAffectedColumnGroupsBase(DataSet dataSet, List<string> affectedColumnGroupNames)
       : base(dataSet) {
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandChain.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandChain.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandChain.cs	(revision 9614)
@@ -22,7 +22,4 @@
 using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Xml;
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
@@ -61,4 +58,9 @@
     }
 
+    [StorableConstructor]
+    protected CommandChain(bool deserializing)
+      : base() {
+      this.commands = new LinkedList<ICommand>();
+    }
     public CommandChain() {
       this.commands = new LinkedList<ICommand>();
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/DateTimeSpan.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/DateTimeSpan.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/DateTimeSpan.cs	(revision 9614)
@@ -21,6 +21,4 @@
 
 using System;
-using System.Collections.Generic;
-using System.Xml;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -28,4 +26,8 @@
   [StorableClass]
   public class DateTimeSpan : ICloneable {
+    public DateTimeSpan() : base() { }
+    [StorableConstructor]
+    protected DateTimeSpan(bool deserializing) : base() { }
+
     [Storable]
     public int Seconds { get; set; }
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ColumnBase.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ColumnBase.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ColumnBase.cs	(revision 9614)
@@ -28,18 +28,14 @@
   [StorableClass]
   public abstract class ColumnBase {
-    private ColumnBase() {
-    }
+    [StorableConstructor]
+    protected ColumnBase(bool deserializing) : base() { }
 
     protected ColumnBase(string name)
-      : this() {
+      : base() {
       this.sortOrder = SortOrder.None;
       this.name = name;
     }
 
-    private Type dataType;
-    public Type DataType {
-      get { return dataType; }
-      protected set { this.dataType = value; }
-    }
+    public abstract Type DataType { get; }
 
     [Storable]
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ColumnGroup.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ColumnGroup.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ColumnGroup.cs	(revision 9614)
@@ -29,5 +29,6 @@
   [StorableClass]
   public class ColumnGroup {
-
+    [StorableConstructor]
+    protected ColumnGroup(bool deserializing) : base() { }
     public ColumnGroup()
       : base() {
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DataSet.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DataSet.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DataSet.cs	(revision 9614)
@@ -23,7 +23,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
-using System.Xml;
-using HeuristicLab.DataImporter.Data.View;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -37,5 +34,6 @@
       get { return this.columnGroups; }
     }
-
+    [StorableConstructor]
+    protected DataSet(bool deserializing) : base() { }
     public DataSet() {
       this.columnGroups = new List<ColumnGroup>();
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DateTimeColumn.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DateTimeColumn.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DateTimeColumn.cs	(revision 9614)
@@ -22,7 +22,4 @@
 using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.Xml;
 using System.Globalization;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
@@ -34,11 +31,9 @@
     private List<DateTime?> values;
 
-    private DateTimeColumn() : base(string.Empty) {
-      this.DataType = typeof(DateTime?);
-    }
+    [StorableConstructor]
+    protected DateTimeColumn(bool deserializing) : base(deserializing) { }
 
     public DateTimeColumn(string columnName)
       : base(columnName) {
-      this.DataType = typeof(DateTime?);
       this.values = new List<DateTime?>();
     }
@@ -47,4 +42,8 @@
       : this(columnName) {
       this.values.Capacity = capacity;
+    }
+
+    public override Type DataType {
+      get { return typeof(DateTime?); }
     }
 
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DoubleColumn.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DoubleColumn.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DoubleColumn.cs	(revision 9614)
@@ -21,10 +21,8 @@
 
 using System;
+using System.Collections;
 using System.Collections.Generic;
-using System.Collections;
+using System.Globalization;
 using System.Linq;
-using System.Text;
-using System.Xml;
-using System.Globalization;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -35,11 +33,9 @@
     private List<double?> values;
 
-    private DoubleColumn() :base(string.Empty) {
-      this.DataType = typeof(double?);
-    }
+    [StorableConstructor]
+    protected DoubleColumn(bool deserializing) : base(deserializing) { }
 
     public DoubleColumn(string columnName)
       : base(columnName) {
-      this.DataType = typeof(double?);
       this.values = new List<double?>();
     }
@@ -48,4 +44,8 @@
       : this(columnName) {
       this.values.Capacity = capacity;
+    }
+
+    public override Type DataType {
+      get { return typeof(double?); }
     }
 
Index: /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ProgrammableColumn.cs
===================================================================
--- /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ProgrammableColumn.cs	(revision 9613)
+++ /branches/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ProgrammableColumn.cs	(revision 9614)
@@ -21,10 +21,6 @@
 
 using System;
-using System.Collections.Generic;
 using System.Collections;
 using System.Linq;
-using System.Text;
-using System.Xml;
-using System.Globalization;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -36,14 +32,15 @@
     private int myIndexInColumnGroup;
 
-    private ProgrammableColumn()
-      : base(string.Empty) {
-      this.DataType = typeof(double?);
-    }
+    [StorableConstructor]
+    protected ProgrammableColumn(bool deserializing) : base(deserializing) { }
 
     public ProgrammableColumn(string columnName, ColumnGroup columnGroup)
       : base(columnName) {
-      this.DataType = typeof(double?);
       this.ColumnGroup = columnGroup;
       Expression = string.Empty;
+    }
+
+    public override Type DataType {
+      get { return typeof(double?); }
     }
 
